apiVersion: kubevirt.io/v1alpha3
kind: VirtualMachine
metadata:
  name: {{ bluemind_name }}
  namespace: {{ namespace }}
spec:
  running: {{ vm_running | default('false') }}
  template:
    metadata:
      labels:
        name: {{ bluemind_name }}
    spec:
      domain:
        devices:
          disks:
          - disk:
              bus: virtio
            name: rootfs
          - cdrom:
              bus: virtio
            name: context
            serial: BMCONTEXTDISK
{% if bluemind_backups_data_capacity | default(False) %}
          - cache: writethrough
            disk:
              bus: virtio
            name: backups
            serial: BMBACKUPS
{% endif %}
{% if bluemind_cyrus_data_capacity | default(False) %}
          - cache: writethrough
            dedicatedIOThread: true
            disk:
              bus: virtio
            name: cyrus
            serial: BMCYRUS
{% endif %}
{% if bluemind_hsm_data_capacity | default(False) %}
          - disk:
              bus: virtio
            name: hsm
            serial: BMHSM
{% endif %}
{% if bluemind_logs_data_capacity | default(False) %}
          - disk:
              bus: virtio
            name: logs
            serial: BMLOGS
{% endif %}
{% if bluemind_psql_data_capacity | default(False) %}
          - cache: writethrough
            disk:
              bus: virtio
            name: psql
            serial: BMPOSTGRES
{% endif %}
{% if bluemind_swap_data_capacity | default(False) %}
          - disk:
              bus: virtio
            name: swap
            serial: BMSWAP
{% endif %}
          interfaces:
          - name: default
            masquerade: {}
        resources:
          requests:
            memory: {{ bluemind_memory_request }}
            cpu: "{{ bluemind_cpu_request }}"
      networks:
      - name: default
        pod: {}
      terminationGracePeriodSeconds: {{ bluemind_termination_timeout | default(600) }}
      volumes:
{% if bluemind_backups_data_capacity | default(False) %}
      - name: backups
        persistentVolumeClaim:
          claimName: {{ bluemind_name }}-backups
{% endif %}
      - configMap:
          name: {{ bluemind_name }}
        name: context
{% if bluemind_cyrus_data_capacity | default(False) %}
      - name: cyrus
        persistentVolumeClaim:
          claimName: {{ bluemind_name }}-cyrus
{% endif %}
{% if bluemind_hsm_data_capacity | default(False) %}
      - name: hsm
        persistentVolumeClaim:
          claimName: {{ bluemind_name }}-hsm
{% endif %}
{% if bluemind_logs_data_capacity | default(False) %}
      - name: logs
        persistentVolumeClaim:
          claimName: {{ bluemind_name }}-logs
{% endif %}
{% if bluemind_psql_data_capacity | default(False) %}
      - name: psql
        persistentVolumeClaim:
          claimName: {{ bluemind_name }}-psql
{% endif %}
      - dataVolume:
          name: {{ bluemind_name }}-rootfs
        name: rootfs
{% if bluemind_swap_data_capacity | default(False) %}
      - name: swap
        persistentVolumeClaim:
          claimName: {{ bluemind_name }}-swap
{% endif %}
